## mpv-mpris 0.6

=== Makefile ===
PKG_CONFIG = pkg-config

INSTALL := install

BASE_CFLAGS=-std=c99 -Wall -Wextra -O2 `$(PKG_CONFIG) --cflags gio-2.0 gio-unix-2.0 glib-2.0 mpv`
BASE_LDFLAGS=`$(PKG_CONFIG) --libs gio-2.0 gio-unix-2.0 glib-2.0`

SCRIPTS_DIR := $(HOME)/.config/mpv/scripts

mpris.so: mpris.c
	$(CC) mpris.c -o mpris.so $(BASE_CFLAGS) $(CFLAGS) $(BASE_LDFLAGS) $(LDFLAGS) -shared -fPIC

install: mpris.so
	$(INSTALL) -Dt $(SCRIPTS_DIR) mpris.so

clean:
	rm mpris.so

=== debian/changelog ===
mpv-mpris (0.6-2) unstable; urgency=medium

  * Switch from /dev/tty to /dev/stdout to fix autopkgtests failures.

 -- Paul Wise <pabs@debian.org>  Sun, 13 Feb 2022 11:13:53 +0800

mpv-mpris (0.6-1) unstable; urgency=medium

  * Initial release (Closes: #1001876)

 -- Paul Wise <pabs@debian.org>  Sat, 18 Dec 2021 21:45:12 +0800

=== debian/control ===
Source: mpv-mpris
Section: video
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libglib2.0-dev,
 libmpv-dev,
Standards-Version: 4.6.0
Homepage: https://github.com/hoyon/mpv-mpris
Rules-Requires-Root: no

Package: mpv-mpris
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 mpv,
Suggests:
 playerctl,
Description: MPRIS plugin for mpv
 mpv-mpris is a plugin for mpv which allows control of the player using
 standard media keys.
 .
 This plugin implements the MPRIS D-Bus interface and can be controlled using
 tools, such as playerctl, or desktop environments, such as GNOME and KDE.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	# Ignore failure to remove non-existent files on double clean
	# Fixed upstream in git: https://github.com/hoyon/mpv-mpris/pull/57
	dh_auto_clean || true

override_dh_auto_install:
	# Disabled, upstream currently installs into ~/.config/mpv/scripts/
	# Fixed upstream in git: https://github.com/hoyon/mpv-mpris/pull/57

=== debian/tests/control ===
Tests: play, pause, play-pause, stop, metadata
#Restrictions: allow-stderr
Depends:
 awk,
 bash,
 dbus-daemon,
 jo,
 jq,
 mpv,
 playerctl,
 socat,
 sound-theme-freedesktop,
 xauth,
 xvfb,
 @,

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/hoyon/mpv-mpris.git \
refs/tags/([\d\.]+)

## mpv-mpris 0.7.1

=== Makefile ===
PKG_CONFIG = pkg-config

INSTALL := install
MKDIR := mkdir
RMDIR := rmdir
LN := ln
RM := rm

CFLAGS += -std=c99 -Wall -Wextra -O2 `$(PKG_CONFIG) --cflags gio-2.0 gio-unix-2.0 glib-2.0 mpv`
LDFLAGS += `$(PKG_CONFIG) --libs gio-2.0 gio-unix-2.0 glib-2.0`

SCRIPTS_DIR := $(HOME)/.config/mpv/scripts

PREFIX := /usr/local
PLUGINDIR := $(PREFIX)/lib/mpv-mpris
SYS_SCRIPTS_DIR := /etc/mpv/scripts

UID ?= $(shell id -u)

.PHONY: \
  install install-user install-system \
  uninstall uninstall-user uninstall-system \
  test \
  clean

mpris.so: mpris.c
	$(CC) mpris.c -o mpris.so $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -fPIC

ifneq ($(UID),0)
install: install-user
uninstall: uninstall-user
else
install: install-system
uninstall: uninstall-system
endif

install-user: mpris.so
	$(MKDIR) -p $(SCRIPTS_DIR)
	$(INSTALL) -t $(SCRIPTS_DIR) mpris.so

uninstall-user:
	$(RM) -f $(SCRIPTS_DIR)/mpris.so
	$(RMDIR) -p $(SCRIPTS_DIR)

install-system: mpris.so
	$(MKDIR) -p $(DESTDIR)$(PLUGINDIR)
	$(INSTALL) -t $(DESTDIR)$(PLUGINDIR) mpris.so
	$(MKDIR) -p $(DESTDIR)$(SYS_SCRIPTS_DIR)
	$(LN) -s $(PLUGINDIR)/mpris.so $(DESTDIR)$(SYS_SCRIPTS_DIR)

uninstall-system:
	$(RM) -f $(DESTDIR)$(SYS_SCRIPTS_DIR)/mpris.so
	$(RMDIR) -p $(DESTDIR)$(SYS_SCRIPTS_DIR)
	$(RM) -f $(DESTDIR)$(PLUGINDIR)/mpris.so
	$(RMDIR) -p $(DESTDIR)$(PLUGINDIR)

test: mpris.so
	$(MAKE) -C test

clean:
	rm -f mpris.so
	$(MAKE) -C test clean

=== test/Makefile ===
MAKEFLAGS += --output-sync=target

tests = \
	metadata \
	pause \
	play \
	play-pause \
	stop \
	quit

.PHONY: \
	test \
	$(tests) \
	clean

test: $(tests)

$(tests):
	./wrapper "$@"

clean:
	rm -f \
	  *.mpv.ipc* \
	  *.mpv.log \
	  *.xvfb.log \
	  *.Xauthority \
	  *.socat.log \
	  *.exit-code.log \
	  *.stderr.log
	rm -rf dbus

=== debian/changelog ===
mpv-mpris (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch, merged upstream.

 -- Paul Wise <pabs@debian.org>  Tue, 12 Apr 2022 15:49:56 +0800

mpv-mpris (0.7+7+gfecc6ca-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fixes test failures on slow systems like mipsel/mips64el
    - Adds test use of dbus-send, depend on dbus-bin.
  * Use new support for overriding the UID used for install
    layout detection instead of enabling Rules-Requires-Root
  * Add patch fixing dbus use in tests under permissive umask
  * Fix dbus dependency for older releases with unsplit packages
  * Detect git tags starting with v in watch file

 -- Paul Wise <pabs@debian.org>  Fri, 25 Mar 2022 15:21:31 +0800

mpv-mpris (0.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstreamed clean rule fix
  * Use upstreamed tests in autopkgtests
  * Add upstreamed tests deps to build-deps
  * Use upstream build system for install and
    set Rules-Requires-Root so it installs system-wide
  * Set mawk as default awk dep (is faster/smaller/required)
  * Update copyright year for debian/ directory

 -- Paul Wise <pabs@debian.org>  Wed, 09 Mar 2022 11:11:41 +0800

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,21 @@
 Priority: optional
 Maintainer: Paul Wise <pabs@debian.org>
 Build-Depends:
+ dbus-daemon | dbus (<< 1.13.18-2~) <!nocheck>,
+ dbus-bin | dbus (<< 1.12.20-3~) <!nocheck>,
  debhelper-compat (= 13),
+ jq <!nocheck>,
  libglib2.0-dev,
  libmpv-dev,
+ mawk | awk <!nocheck>,
+ mpv <!nocheck>,
+ playerctl <!nocheck>,
+ socat <!nocheck>,
+ sound-theme-freedesktop <!nocheck>,
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
 Standards-Version: 4.6.0
 Homepage: https://github.com/hoyon/mpv-mpris
-Rules-Requires-Root: no
 
 Package: mpv-mpris
 Architecture: any

=== debian/tests/control ===
Test-Command:
 MPV_MPRIS_TEST_PLUGIN=
 MPV_MPRIS_TEST_MPV_IPC="$AUTOPKGTEST_TMP"
 MPV_MPRIS_TEST_DBUS="$AUTOPKGTEST_TMP"
 MPV_MPRIS_TEST_XAUTH="$AUTOPKGTEST_TMP"
 MPV_MPRIS_TEST_LOG="$AUTOPKGTEST_ARTIFACTS"
 MPV_MPRIS_TEST_TMP="$AUTOPKGTEST_TMP"
 MPV_MPRIS_TEST_NO_STDERR=1
 make -C test
Features: test-name=upstream-tests
Depends:
 @,
 @builddeps@,

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/hoyon/mpv-mpris.git \
refs/tags/v?([\d\.]+)

## mpv-mpris 1.2

=== Makefile ===
--- 
+++ 
@@ -6,8 +6,9 @@
 LN := ln
 RM := rm
 
-CFLAGS += -std=c99 -Wall -Wextra -O2 `$(PKG_CONFIG) --cflags gio-2.0 gio-unix-2.0 glib-2.0 mpv`
-LDFLAGS += `$(PKG_CONFIG) --libs gio-2.0 gio-unix-2.0 glib-2.0`
+# Base flags, environment CFLAGS / LDFLAGS can be appended.
+BASE_CFLAGS = -std=c99 -Wall -Wextra -O2 -pedantic $(shell $(PKG_CONFIG) --cflags gio-2.0 gio-unix-2.0 glib-2.0 mpv libavformat)
+BASE_LDFLAGS = $(shell $(PKG_CONFIG) --libs gio-2.0 gio-unix-2.0 glib-2.0 libavformat)
 
 SCRIPTS_DIR := $(HOME)/.config/mpv/scripts
 
@@ -24,7 +25,7 @@
   clean
 
 mpris.so: mpris.c
-	$(CC) mpris.c -o mpris.so $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -shared -fPIC
+	$(CC) mpris.c -o mpris.so $(BASE_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(BASE_LDFLAGS) $(LDFLAGS) -shared -fPIC
 
 ifneq ($(UID),0)
 install: install-user

=== debian/changelog ===
mpv-mpris (1.2-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 09 Jan 2026 16:56:12 +0100

mpv-mpris (1.2-1) unstable; urgency=medium

  * Adopt package with permission.
  * New upstream release. (Closes: #1117677)
    - Build-depend on libavformat-dev
  * Fix autopkgtest with new upstream version.
    - Pass installed plugin path to test suite.
    - Add Remove_executable_check_for_MPV_MPRIS_TEST_PLUGIN.patch

 -- Felix Geyer <fgeyer@debian.org>  Tue, 06 Jan 2026 22:00:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: mpv-mpris
 Section: video
 Priority: optional
-Maintainer: Paul Wise <pabs@debian.org>
+Maintainer: Felix Geyer <fgeyer@debian.org>
 Build-Depends:
  dbus-daemon | dbus (<< 1.13.18-2~) <!nocheck>,
  dbus-bin | dbus (<< 1.12.20-3~) <!nocheck>,
  debhelper-compat (= 13),
  jq <!nocheck>,
+ libavformat-dev,
  libglib2.0-dev,
  libmpv-dev,
  mawk | awk <!nocheck>,
@@ -18,6 +19,8 @@
  xvfb <!nocheck>,
 Standards-Version: 4.6.0
 Homepage: https://github.com/hoyon/mpv-mpris
+Vcs-Git: https://salsa.debian.org/debian/mpv-mpris.git
+Vcs-Browser: https://salsa.debian.org/debian/mpv-mpris
 
 Package: mpv-mpris
 Architecture: any

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Test-Command:
- MPV_MPRIS_TEST_PLUGIN=
+ MPV_MPRIS_TEST_PLUGIN=/usr/lib/mpv-mpris/mpris.so
  MPV_MPRIS_TEST_MPV_IPC="$AUTOPKGTEST_TMP"
  MPV_MPRIS_TEST_DBUS="$AUTOPKGTEST_TMP"
  MPV_MPRIS_TEST_XAUTH="$AUTOPKGTEST_TMP"
